<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>JWTConfigurer.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.security.jwt</a> &gt; <span class="el_source">JWTConfigurer.java</span></div><h1>JWTConfigurer.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.security.jwt;

import org.springframework.security.config.annotation.SecurityConfigurerAdapter;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.web.DefaultSecurityFilterChain;
import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;

public class JWTConfigurer extends SecurityConfigurerAdapter&lt;DefaultSecurityFilterChain, HttpSecurity&gt; {

    private TokenProvider tokenProvider;

<span class="fc" id="L12">    public JWTConfigurer(TokenProvider tokenProvider) {</span>
<span class="fc" id="L13">        this.tokenProvider = tokenProvider;</span>
<span class="fc" id="L14">    }</span>

    @Override
    public void configure(HttpSecurity http) throws Exception {
<span class="fc" id="L18">        JWTFilter customFilter = new JWTFilter(tokenProvider);</span>
<span class="fc" id="L19">        http.addFilterBefore(customFilter, UsernamePasswordAuthenticationFilter.class);</span>
<span class="fc" id="L20">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>